package com.fjhx.service.customer;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.customer.CustomerInfo;
import com.fjhx.params.customer.CustomerInfoEx;
import com.fjhx.params.customer.CustomerInfoVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 客户 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-02
 */
public interface CustomerInfoService extends BaseService<CustomerInfo> {

    Page<CustomerInfoEx> getPage(Map<String, Object> condition);

    void add(CustomerInfoVo customerInfoVo);

    void edit(CustomerInfoVo customerInfoVo);

    void delete(CustomerInfoVo customerInfoVo);

}
